<!---Adds a product to the database--->
<cfinclude template = "../queries/qryProducts.cfm"><!---to check for duplicates--->

<!---Error Checks--->
<cfif NOT qryProducts.recordcount IS 0>
ERROR:  You duplicated a product ID.  All product ID's must be unique in order for the
inventory feature to work.  Please change the product ID to something unique.
<cfabort>
</cfif>

<cfif NOT IsNumeric(form.newprice)>Error:  Price must be a numeric value. Therefore, you cannot enter a dollar sign
or other symbol. <a href="javascript:history.go(-1);">Click here to go Back</a>
<cfabort>
</cfif>

<cfif NOT Isdefined('form.newproductname')>
Error:  You must provide a value for the Product Name. <a href="javascript:history.go(-1);">Click here to go Back</a>
<cfabort>
</cfif>

<cfif form.newproductname IS ''>
Error:  You must provide a value for the Product Name. <a href="javascript:history.go(-1);">Click here to go Back</a>
<cfabort>
</cfif>

<cfif NOT ISDEFINED('form.category')>
Error:  You must assign a category to this product.  Nothing was added! <a href="javascript:history.go(-1);">Click here to go Back</a>
<cfabort>
</cfif>

<!---If an image was specified then upload it--->
<cfif NOT form.FileContents IS ''>

<cfoutput>
<!---Upload Picture--->
<cffile action="Upload"
FileField = "form.filecontents"
Destination = "#CartVar.PhotoDirectory#"
NameConflict = "overwrite"
Accept = "image/gif, image/pjpeg, image/jpg, image/jpeg">

<cfset Photo = '#cffile.Serverfile#'>

<!---Upload Thumbnail--->
<Cffile action="Upload"
FileField = "form.Thumbfilecontents"
Destination = "#CartVar.PhotoDirectory#"
NameConflict = "overwrite"
Accept = "image/gif, image/pjpeg, image/jpg, image/jpeg">

<cfset Thumbnail = '#cffile.Serverfile#'>

</cfoutput>
</cfif>

<cfif form.FileContents IS ''>
<cfset Photo = 'Nopic.jpg'>
<cfset Thumbnail = 'SMNopic.jpg'>
</cfif>

<cfif NOT ISDEFINED('Photo')>
Your path to the photo directory (<cfoutput>#cartvar.PhotoDirectory#</cfoutput>) was not accepted.  
Check the path and also access restrictions. 
<p>
<cfabort>
</cfif>

<!---Insert The New Product into the database --->
<cfquery name = "InsertProduct" Datasource = #request.dsn#>
Insert INTO Products
(productid, productname, price, BriefDescription, ImageURL, ThumbNail, 
Category, shippingcosts, ShowQuantity, Details)
VALUES
('#form.Newproductid#', '#form.NewProductName#', '#form.NewPrice#', '#form.BriefDescription#', 
'#Photo#', '#ThumbNail#', '#form.Category#', '#form.ShippingCosts#', '#form.ShowQuantity#', 
'#form.Details#')
</cfquery>

<p align="center">The new item was added to your database!</p>
<p align="center"><cfoutput>#form.NewProductName#<br>
    <img src = "#CartVar.PhotoPath##Photo#"></cfoutput></p>
<p align="center"><a href="doProductManager.cfm?action=add">Add Another One</a></p>